Jump to content

Recommended Posts

Paint.NET requires Windows XP SP3, and will not install on XP SP2. (Seriously, just install SP3 already ... it's been out for what, 15 years now?)

As per the rules, the forum is not an appropriate place to ask for old versions or to post links to old versions for download. If you need an older version, I'm sure you can use a search engine.

The Paint.NET Blog: https://blog.getpaint.net/

Donations are always appreciated! https://www.getpaint.net/donate.html

forumSig_bmwE60.jpg

Link to post
Share on other sites
Guest
This topic is now closed to further replies.
×
×
  • Create New...